[Overview][Constants][Types][Procedures and functions][Variables][Index] | Reference for unit 'oldlinux' (#rtl)

# FD_Set

Set a filedescriptor in a set

## Declaration

Source position: oldlinux.pp line 1596

`procedure FD_Set(`
`fd: LongInt;`
`var fds: fdSet`
`);`

## Description

FD_Set sets file descriptor fd in filedescriptor set fds.

For an example, see Select.

## Errors

None.

## See also

Select |  | Wait for events on file descriptors
SelectText |  | Wait for event on typed ontyped file.
GetFS |  | Return file selector
FD_ZERO |  | Clear all file descriptors in set
FD_Clr |  | Clears a filedescriptor in a set
FD_IsSet |  | Check whether a filedescriptor is set

Documentation generated on: Feb 26 2014